#ifndef SL_IOSTREAM_INIT_UART_INSTANCES_H
#define SL_IOSTREAM_INIT_UART_INSTANCES_H
#if defined(SL_COMPONENT_CATALOG_PRESENT)
#include "sl_component_catalog.h"
#endif
#if defined(SL_CATALOG_POWER_MANAGER_PRESENT)
#include "sl_power_manager.h"
#endif
#include "sl_iostream.h"
#include "sl_iostream_uart.h"
#ifdef __cplusplus
extern "C" {
#endif

{% for instance in iostream_uart_instances %}
extern sl_iostream_t *sl_iostream_{{ instance }}_handle;
extern sl_iostream_uart_t *sl_iostream_uart_{{ instance }}_handle;
extern sl_iostream_instance_info_t sl_iostream_instance_{{ instance }}_info;
{% endfor %}

// Initialize only iostream usart instance(s)
void sl_iostream_uart_init_instances(void);

#if defined(SL_CATALOG_POWER_MANAGER_PRESENT)
{% for instance in iostream_uart_instances %}
sl_power_manager_on_isr_exit_t sl_iostream_uart_{{ instance }}_sleep_on_isr_exit(void);
{% endfor %}
#endif

#ifdef __cplusplus
}
#endif

#endif // SL_IOSTREAM_INIT_UART_INSTANCES_H